AquamapsProcessor
Date: 2015-12-03

org.gcube.application.aquamaps.aquamapstransectgenerator.core

## Class AquamapsProcessor

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapstransectgenerator.core.AquamapsProcessor

-     public class AquamapsProcessor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AquamapsProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphGroups` | `calculateTransect(java.lang.String x1, java.lang.String y1, java.lang.String x2, java.lang.String y2, java.lang.String SRID, java.lang.String biodiversityTable, java.lang.String biodiversityColumn, int maxElements)`
    `GraphGroups` | `calculateTransect(java.lang.String x1, java.lang.String y1, java.lang.String x2, java.lang.String y2, java.lang.String SRID, java.lang.String biodiversityTable, java.lang.String biodiversityColumn, int maxElements, int minimumGap)`
    `void` | `init(java.lang.String cfg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AquamapsProcessor

          public AquamapsProcessor()

  - ### Method Detail

    - #### init

          public void init(java.lang.String cfg)

    - #### calculateTransect

          public GraphGroups calculateTransect(java.lang.String x1,
                                      java.lang.String y1,
                                      java.lang.String x2,
                                      java.lang.String y2,
                                      java.lang.String SRID,
                                      java.lang.String biodiversityTable,
                                      java.lang.String biodiversityColumn,
                                      int maxElements)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateTransect

          public GraphGroups calculateTransect(java.lang.String x1,
                                      java.lang.String y1,
                                      java.lang.String x2,
                                      java.lang.String y2,
                                      java.lang.String SRID,
                                      java.lang.String biodiversityTable,
                                      java.lang.String biodiversityColumn,
                                      int maxElements,
                                      int minimumGap)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`